Bug 728400 - After updating only 1 package out of 100, displays updates twice in list
Summary: After updating only 1 package out of 100, displays updates twice in list
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 00:37 UTC by Michael Cronenworth
Modified: 2013-08-01 09:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 09:52:03 UTC


Attachments (Terms of Use)
screenshot of duplicate bugs (64.57 KB, image/png)
2011-08-05 00:37 UTC, Michael Cronenworth
no flags Details

Description Michael Cronenworth 2011-08-05 00:37:14 UTC
Created attachment 516804 [details]
screenshot of duplicate bugs

Description of problem:
I had 103 updates to run. I only updated yum (others unchecked, yum checked). When yum's 3 packages were done being updated, gnome-packagekit refreshed the updates list, but ended up showing updates twice.

I cannot reproduce this reliably. After seeing the duplicate updates, I closed gnome-packagekit and immediately restarted it. When it displayed updates again they were only listed one time. I tried updating one package again (xorg-x11-fonts-misc). After the update finished updates were still only displayed one time.

I've seen it in the past. I checked for duplicate bugs before creating this one but could not find one.


Version-Release number of selected component (if applicable):
PackageKit-0.6.16-1.fc15.x86_64
gnome-packagekit-3.0.0-5.fc15.x86_64

How reproducible:
Sometimes

Additional info:
I am attaching a screenshot of when gnome-packagekit displays duplicated updates.

Comment 1 Michael Cronenworth 2011-08-26 21:19:53 UTC
OK, I think I have a way of reliably reproducing this.

My setup:
-One update for freetype-freeworld
-One update for gnome-settings-daemon
-Three updates for xz (grouped together)
-One update for yum

I unchecked the updates for freetype-freeworld and gnome-settings-daemon. I let it update. When the update finished, the window refreshed and the freetype-freeworld and gnome-settings-daemon were duplicated. When I closed the window and brought it back up the duplicate entries were gone.

I downgraded xz and yum. Re-ran the update as before and the same thing happened.

When I only updated xz the updates did not get duplicated. It seems I had to update both a multi-package update and a standalone update, but leave some updates behind.

Comment 2 Fedora End Of Life 2013-07-04 02:57:53 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 09:52:07 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.